PRO FIXSHOTS15
compile_opt hidden
on_error,1

;... shared memory
COMMON GENSTRE,sstre,csstre,snstre,xnstre,ynstre,vgstre,$
ggstre,ddstre,u0stre,sg0stre,u0dotstre,sg0dotstre
COMMON CFCALFVGXRMW,cfu,cfsg,c,alf,vgmx,rmw
COMMON UDVS,ustre,udotstre,uprstre
COMMON SGDVS,sgstre,sgdotstre,sgprstre

;...recover profiles and set resolution
restore,'suv.idl' & restore,'nrmrayse10_15.idl'
zsnapi=complex(0,1) & elonla=zsnapi

;for each retained fix:
for ii=0,entries-1 do begin
;construct the polar grid of earth relative marine surface winds
@onefix.m
zsnapi=[zsnapi,0.775*vgx(ii)*reform(zxystre,pixr*pixa)] &endfor

zsnap=zsnapi(1:*) & zsnap=reform(zsnap,pixr*pixa,entries)
usnap=float(zsnap) & vsnap=imaginary(zsnap)

d2usnap=usnap & d2vsnap=vsnap
for k=0,pixr*pixa-1 do begin 
d2usnap(k,*)=spl_init(ktime,usnap(k,*))
d2vsnap(k,*)=spl_init(ktime,vsnap(k,*)) & endfor
d2zsnap=complex(d2usnap,d2vsnap)

zsnap=reform(zsnap,pixr,pixa,entries) & 
d2zsnap=reform(d2zsnap,pixr,pixa,entries)
usnap=float(zsnap) & d2usnap=float(d2zsnap)
vsnap=imaginary(zsnap) & d2vsnap=imaginary(d2zsnap) 

save,rmx,entries,day,elon,elonk,ktime,lsflg,nlat,nlatk,pixa,pixr,rmwk,string,$ 
usnap,d2usnap,vsnap,d2vsnap,zhour,zmin,zsnap,xnstre,ynstre,$
filename='fixshots.idl'
END ;FIXSHOTS15.PRO

