;GENSTREX.M
;   This module places the profile functions and the auxilliary functions 
;   g and d on the polar grid yielding fields with no azimuthal dependence
;   for exactly one fix (ii)

;... single fix profiles and corresponding data
elo=elon(ii) & gglo=nlat(ii) & rmw=rmx(ii) & vgmx=float(vgx(ii))
fbar=fbr(ii) & bpar=hdb(ii) & brg=bear(ii) & c=spdms(ii)/vgmx
sg0=uvstr(ii).sg & u0=uvstr(ii).ur & v0=uvstr(ii).vt
dd=uvstr(ii).dd & gg=uvstr(ii).gg  
alf=uvstr(ii).alf & u0dot=deriv(s,u0) & u0dot(0)=0.
vg=uvstr(ii).vg & sg0dot=deriv(s,sg0) & sg0dot(0)=0.

;... ray representation of profile functions
istar=fix(10*sstre)
u0stre=interpolate(u0,istar) & u0dotstre=interpolate(u0dot,istar)
sg0stre=interpolate(sg0,istar) & sg0dotstre=interpolate(sg0dot,istar)
vgstre=interpolate(vg,istar) & ggstre=interpolate(gg,istar)
ddstre=interpolate(dd,istar)
;GENSTREX.M
 
