PRO RSDSG,sgfnl
on_error,1
compile_opt hidden

;... preamble
if n_params() eq 0 then begin
print,'RSDSG,sgfnl'
return & endif

;... shared memory
COMMON GENSTRE,sstre,csstre,snstre,xnstre,ynstre,$
vgstre,ggstre,ddstre,u0stre,sg0stre,u0dotstre,sg0dotstre
COMMON UDVS,ustre,udotstre,uprstre
COMMON SGDVS,sgstre,sgdotstre,sgprstre
COMMON CFCALFVGXRMW,cfu,cfsg,c,alf,vgx,rmw
beta=.130612

;... current auxilliary arrays
issg=sgstre & vstre=vgstre+sgstre & isv=vstre
issg(1:*,*)=issg(1:*,*)/sstre(1:*,*) & issg(0,*)=issg(1,*)
isv(1:*,*)=isv(1:*,*)/sstre(1:*,*) & isv(0,*)=isv(1,*)
wstre=sqrt((0.8*ustre+c*snstre)^2+(0.8*vstre+c*csstre)^2)

;... sg residual and functional		
uddstar=ustre*(ddstre+issg)
vwterm=(0.8*vstre+c*csstre)*(wstre-c)*(1.+beta*wstre)
usgdot=ustre*sgdotstre & isvsgpr=isv*sgprstre
ressg=usgdot+uddstar+isvsgpr+alf*vwterm
jx=size(ressg) & jx=jx(2)-3

;... total sg functional to be minimized
sgfnl=total(abs(ressg(5:15,1:jx)))/n_elements(ressg(5:15,1:jx))
END ;RSDSG.PRO

